# SIPInvite Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPInvite:

[legend]
Collaboration diagram for SIPInvite:
[legend]

## Public Member Functions

| SIPInvite (SIPConnection &connection, OpalTransport *transport=NULL)
virtual SIPTransaction * | CreateDuplicate () const
virtual PBoolean | OnReceivedResponse (SIP_PDU &response)

## Data Fields

OpalRTPConnection::SessionMap | m_sessions

## Detailed Description

Session Initiation Protocol transaction for INVITE INVITE implements a three-way handshake to handle the human input and extended duration of the transaction.

## Constructor & Destructor Documentation

SIPInvite::SIPInvite | ( | SIPConnection & | connection,
|  | OpalTransport * | transport = `NULL` |
| ) |  |  |

## Member Function Documentation

virtual SIPTransaction* SIPInvite::CreateDuplicate | ( |  | ) | const`[virtual]`

Implements SIPTransaction.

virtual PBoolean SIPInvite::OnReceivedResponse | ( | SIP_PDU & | response | ) | `[virtual]`

Reimplemented from SIPTransaction.

## Field Documentation

OpalRTPConnection::SessionMap SIPInvite::m_sessions `[mutable]`

The documentation for this class was generated from the following file:

- sippdu.h